/*!
* MediaElement.js
* HTML5 <video> and <audio> shim and player
* http://mediaelementjs.com/
*
* Creates a JavaScript object that mimics HTML5 MediaElement API
* for browsers that don't understand HTML5 or can't play the provided codec
* Can play MP4 (H.264), Ogg, WebM, FLV, WMV, WMA, ACC, and MP3
*
* Copyright 2010-2013, John Dyer (http://j.hn)
* License: MIT
*
*/// Namespace
function onYouTubePlayerAPIReady(){mejs.YouTubeApi.iFrameReady()}function onYouTubePlayerReady(e){mejs.YouTubeApi.flashReady(e)}var mejs=mejs||{};mejs.version="2.11.3",mejs.meIndex=0,mejs.plugins={silverlight:[{version:[3,0],types:["video/mp4","video/m4v","video/mov","video/wmv","audio/wma","audio/m4a","audio/mp3","audio/wav","audio/mpeg"]}],flash:[{version:[9,0,124],types:["video/mp4","video/m4v","video/mov","video/flv","video/rtmp","video/x-flv","audio/flv","audio/x-flv","audio/mp3","audio/m4a","audio/mpeg","video/youtube","video/x-youtube"]}],youtube:[{version:null,types:["video/youtube","video/x-youtube","audio/youtube","audio/x-youtube"]}],vimeo:[{version:null,types:["video/vimeo","video/x-vimeo"]}]},mejs.Utility={encodeUrl:function(e){return encodeURIComponent(e)},escapeHTML:function(e){return e.toString().split("&").join("&amp;").split("<").join("&lt;").split('"').join("&quot;")},absolutizeUrl:function(e){var t=document.createElement("div");return t.innerHTML='<a href="'+this.escapeHTML(e)+'">x</a>',t.firstChild.href},getScriptPath:function(e){var t=0,n,r="",i="",s,o,u,a,f,l=document.getElementsByTagName("script"),c=l.length,h=e.length;for(;t<c;t++){u=l[t].src,s=u.lastIndexOf("/"),s>-1?(f=u.substring(s+1),a=u.substring(0,s+1)):(f=u,a="");for(n=0;n<h;n++){i=e[n],o=f.indexOf(i);if(o>-1){r=a;break}}if(r!=="")break}return r},secondsToTimeCode:function(e,t,n,r){typeof n=="undefined"?n=!1:typeof r=="undefined"&&(r=25);var i=Math.floor(e/3600)%24,s=Math.floor(e/60)%60,o=Math.floor(e%60),u=Math.floor((e%1*r).toFixed(3)),a=(t||i>0?(i<10?"0"+i:i)+":":"")+(s<10?"0"+s:s)+":"+(o<10?"0"+o:o)+(n?":"+(u<10?"0"+u:u):"");return a},timeCodeToSeconds:function(e,t,n,r){typeof n=="undefined"?n=!1:typeof r=="undefined"&&(r=25);var i=e.split(":"),s=parseInt(i[0],10),o=parseInt(i[1],10),u=parseInt(i[2],10),a=0,f=0;return n&&(a=parseInt(i[3])/r),f=s*3600+o*60+u+a,f},convertSMPTEtoSeconds:function(e){if(typeof e!="string")return!1;e=e.replace(",",".");var t=0,n=e.indexOf(".")!=-1?e.split(".")[1].length:0,r=1;e=e.split(":").reverse();for(var i=0;i<e.length;i++)r=1,i>0&&(r=Math.pow(60,i)),t+=Number(e[i])*r;return Number(t.toFixed(n))},removeSwf:function(e){var t=document.getElementById(e);t&&/object|embed/i.test(t.nodeName)&&(mejs.MediaFeatures.isIE?(t.style.display="none",function(){t.readyState==4?mejs.Utility.removeObjectInIE(e):setTimeout(arguments.callee,10)}()):t.parentNode.removeChild(t))},removeObjectInIE:function(e){var t=document.getElementById(e);if(t){for(var n in t)typeof t[n]=="function"&&(t[n]=null);t.parentNode.removeChild(t)}}},mejs.PluginDetector={hasPluginVersion:function(e,t){var n=this.plugins[e];return t[1]=t[1]||0,t[2]=t[2]||0,n[0]>t[0]||n[0]==t[0]&&n[1]>t[1]||n[0]==t[0]&&n[1]==t[1]&&n[2]>=t[2]?!0:!1},nav:window.navigator,ua:window.navigator.userAgent.toLowerCase(),plugins:[],addPlugin:function(e,t,n,r,i){this.plugins[e]=this.detectPlugin(t,n,r,i)},detectPlugin:function(e,t,n,r){var i=[0,0,0],s,o,u;if(typeof this.nav.plugins!="undefined"&&typeof this.nav.plugins[e]=="object"){s=this.nav.plugins[e].description;if(s&&(typeof this.nav.mimeTypes=="undefined"||!this.nav.mimeTypes[t]||!!this.nav.mimeTypes[t].enabledPlugin)){i=s.replace(e,"").replace(/^\s+/,"").replace(/\sr/gi,".").split(".");for(o=0;o<i.length;o++)i[o]=parseInt(i[o].match(/\d+/),10)}}else if(typeof window.ActiveXObject!="undefined")try{u=new ActiveXObject(n),u&&(i=r(u))}catch(a){}return i}},mejs.PluginDetector.addPlugin("flash","Shockwave Flash","application/x-shockwave-flash","ShockwaveFlash.ShockwaveFlash",function(e){var t=[],n=e.GetVariable("$version");return n&&(n=n.split(" ")[1].split(","),t=[parseInt(n[0],10),parseInt(n[1],10),parseInt(n[2],10)]),t}),mejs.PluginDetector.addPlugin("silverlight","Silverlight Plug-In","application/x-silverlight-2","AgControl.AgControl",function(e){var t=[0,0,0,0],n=function(e,t,n,r){while(e.isVersionSupported(t[0]+"."+t[1]+"."+t[2]+"."+t[3]))t[n]+=r;t[n]-=r};return n(e,t,0,1),n(e,t,1,1),n(e,t,2,1e4),n(e,t,2,1e3),n(e,t,2,100),n(e,t,2,10),n(e,t,2,1),n(e,t,3,1),t}),mejs.MediaFeatures={init:function(){var e=this,t=document,n=mejs.PluginDetector.nav,r=mejs.PluginDetector.ua.toLowerCase(),i,s,o=["source","track","audio","video"];e.isiPad=r.match(/ipad/i)!==null,e.isiPhone=r.match(/iphone/i)!==null,e.isiOS=e.isiPhone||e.isiPad,e.isAndroid=r.match(/android/i)!==null,e.isBustedAndroid=r.match(/android 2\.[12]/)!==null,e.isIE=n.appName.toLowerCase().indexOf("microsoft")!=-1,e.isChrome=r.match(/chrome/gi)!==null,e.isFirefox=r.match(/firefox/gi)!==null,e.isWebkit=r.match(/webkit/gi)!==null,e.isGecko=r.match(/gecko/gi)!==null&&!e.isWebkit,e.isOpera=r.match(/opera/gi)!==null,e.hasTouch="ontouchstart"in window,e.svg=!!document.createElementNS&&!!document.createElementNS("http://www.w3.org/2000/svg","svg").createSVGRect;for(i=0;i<o.length;i++)s=document.createElement(o[i]);e.supportsMediaTag=typeof s.canPlayType!="undefined"||e.isBustedAndroid,e.hasSemiNativeFullScreen=typeof s.webkitEnterFullscreen!="undefined",e.hasWebkitNativeFullScreen=typeof s.webkitRequestFullScreen!="undefined",e.hasMozNativeFullScreen=typeof s.mozRequestFullScreen!="undefined",e.hasTrueNativeFullScreen=e.hasWebkitNativeFullScreen||e.hasMozNativeFullScreen,e.nativeFullScreenEnabled=e.hasTrueNativeFullScreen,e.hasMozNativeFullScreen&&(e.nativeFullScreenEnabled=s.mozFullScreenEnabled),this.isChrome&&(e.hasSemiNativeFullScreen=!1),e.hasTrueNativeFullScreen&&(e.fullScreenEventName=e.hasWebkitNativeFullScreen?"webkitfullscreenchange":"mozfullscreenchange",e.isFullScreen=function(){if(s.mozRequestFullScreen)return t.mozFullScreen;if(s.webkitRequestFullScreen)return t.webkitIsFullScreen},e.requestFullScreen=function(t){e.hasWebkitNativeFullScreen?t.webkitRequestFullScreen():e.hasMozNativeFullScreen&&t.mozRequestFullScreen()},e.cancelFullScreen=function(){e.hasWebkitNativeFullScreen?document.webkitCancelFullScreen():e.hasMozNativeFullScreen&&document.mozCancelFullScreen()}),e.hasSemiNativeFullScreen&&r.match(/mac os x 10_5/i)&&(e.hasNativeFullScreen=!1,e.hasSemiNativeFullScreen=!1)}},mejs.MediaFeatures.init(),mejs.HtmlMediaElement={pluginType:"native",isFullScreen:!1,setCurrentTime:function(e){this.currentTime=e},setMuted:function(e){this.muted=e},setVolume:function(e){this.volume=e},stop:function(){this.pause()},setSrc:function(e){var t=this.getElementsByTagName("source");while(t.length>0)this.removeChild(t[0]);if(typeof e=="string")this.src=e;else{var n,r;for(n=0;n<e.length;n++){r=e[n];if(this.canPlayType(r.type)){this.src=r.src;break}}}},setVideoSize:function(e,t){this.width=e,this.height=t}},mejs.PluginMediaElement=function(e,t,n){this.id=e,this.pluginType=t,this.src=n,this.events={},this.attributes={}},mejs.PluginMediaElement.prototype={pluginElement:null,pluginType:"",isFullScreen:!1,playbackRate:-1,defaultPlaybackRate:-1,seekable:[],played:[],paused:!0,ended:!1,seeking:!1,duration:0,error:null,tagName:"",muted:!1,volume:1,currentTime:0,play:function(){this.pluginApi!=null&&(this.pluginType=="youtube"?this.pluginApi.playVideo():this.pluginApi.playMedia(),this.paused=!1)},load:function(){this.pluginApi!=null&&(this.pluginType!="youtube"&&this.pluginApi.loadMedia(),this.paused=!1)},pause:function(){this.pluginApi!=null&&(this.pluginType=="youtube"?this.pluginApi.pauseVideo():this.pluginApi.pauseMedia(),this.paused=!0)},stop:function(){this.pluginApi!=null&&(this.pluginType=="youtube"?this.pluginApi.stopVideo():this.pluginApi.stopMedia(),this.paused=!0)},canPlayType:function(e){var t,n,r,i=mejs.plugins[this.pluginType];for(t=0;t<i.length;t++){r=i[t];if(mejs.PluginDetector.hasPluginVersion(this.pluginType,r.version))for(n=0;n<r.types.length;n++)if(e==r.types[n])return"probably"}return""},positionFullscreenButton:function(e,t,n){this.pluginApi!=null&&this.pluginApi.positionFullscreenButton&&this.pluginApi.positionFullscreenButton(e,t,n)},hideFullscreenButton:function(){this.pluginApi!=null&&this.pluginApi.hideFullscreenButton&&this.pluginApi.hideFullscreenButton()},setSrc:function(e){if(typeof e=="string")this.pluginApi.setSrc(mejs.Utility.absolutizeUrl(e)),this.src=mejs.Utility.absolutizeUrl(e);else{var t,n;for(t=0;t<e.length;t++){n=e[t];if(this.canPlayType(n.type)){this.pluginApi.setSrc(mejs.Utility.absolutizeUrl(n.src)),this.src=mejs.Utility.absolutizeUrl(e);break}}}},setCurrentTime:function(e){this.pluginApi!=null&&(this.pluginType=="youtube"?this.pluginApi.seekTo(e):this.pluginApi.setCurrentTime(e),this.currentTime=e)},setVolume:function(e){this.pluginApi!=null&&(this.pluginType=="youtube"?this.pluginApi.setVolume(e*100):this.pluginApi.setVolume(e),this.volume=e)},setMuted:function(e){this.pluginApi!=null&&(this.pluginType=="youtube"?(e?this.pluginApi.mute():this.pluginApi.unMute(),this.muted=e,this.dispatchEvent("volumechange")):this.pluginApi.setMuted(e),this.muted=e)},setVideoSize:function(e,t){this.pluginElement.style&&(this.pluginElement.style.width=e+"px",this.pluginElement.style.height=t+"px"),this.pluginApi!=null&&this.pluginApi.setVideoSize&&this.pluginApi.setVideoSize(e,t)},setFullscreen:function(e){this.pluginApi!=null&&this.pluginApi.setFullscreen&&this.pluginApi.setFullscreen(e)},enterFullScreen:function(){this.pluginApi!=null&&this.pluginApi.setFullscreen&&this.setFullscreen(!0)},exitFullScreen:function(){this.pluginApi!=null&&this.pluginApi.setFullscreen&&this.setFullscreen(!1)},addEventListener:function(e,t,n){this.events[e]=this.events[e]||[],this.events[e].push(t)},removeEventListener:function(e,t){if(!e)return this.events={},!0;var n=this.events[e];if(!n)return!0;if(!t)return this.events[e]=[],!0;for(i=0;i<n.length;i++)if(n[i]===t)return this.events[e].splice(i,1),!0;return!1},dispatchEvent:function(e){var t,n,r=this.events[e];if(r){n=Array.prototype.slice.call(arguments,1);for(t=0;t<r.length;t++)r[t].apply(null,n)}},hasAttribute:function(e){return e in this.attributes},removeAttribute:function(e){delete this.attributes[e]},getAttribute:function(e){return this.hasAttribute(e)?this.attributes[e]:""},setAttribute:function(e,t){this.attributes[e]=t},remove:function(){mejs.Utility.removeSwf(this.pluginElement.id),mejs.MediaPluginBridge.unregisterPluginElement(this.pluginElement.id)}},mejs.MediaPluginBridge={pluginMediaElements:{},htmlMediaElements:{},registerPluginElement:function(e,t,n){this.pluginMediaElements[e]=t,this.htmlMediaElements[e]=n},unregisterPluginElement:function(e){delete this.pluginMediaElements[e],delete this.htmlMediaElements[e]},initPlugin:function(e){var t=this.pluginMediaElements[e],n=this.htmlMediaElements[e];if(t){switch(t.pluginType){case"flash":t.pluginElement=t.pluginApi=document.getElementById(e);break;case"silverlight":t.pluginElement=document.getElementById(t.id),t.pluginApi=t.pluginElement.Content.MediaElementJS}t.pluginApi!=null&&t.success&&t.success(t,n)}},fireEvent:function(e,t,n){var r,i,s,o=this.pluginMediaElements[e];r={type:t,target:o};for(i in n)o[i]=n[i],r[i]=n[i];s=n.bufferedTime||0,r.target.buffered=r.buffered={start:function(e){return 0},end:function(e){return s},length:1},o.dispatchEvent(r.type,r)}},mejs.MediaElementDefaults={mode:"auto",plugins:["youtube","vimeo"],enablePluginDebug:!1,type:"",pluginPath:mejs.Utility.getScriptPath(["mediaelement.js","mediaelement.min.js","mediaelement-and-player.js","mediaelement-and-player.min.js"]),flashName:"flashmediaelement.swf",flashStreamer:"",enablePluginSmoothing:!1,enablePseudoStreaming:!1,pseudoStreamingStartQueryParam:"start",silverlightName:"silverlightmediaelement.xap",defaultVideoWidth:480,defaultVideoHeight:270,pluginWidth:-1,pluginHeight:-1,pluginVars:[],timerRate:250,startVolume:.8,success:function(){},error:function(){}},mejs.MediaElement=function(e,t){return mejs.HtmlMediaElementShim.create(e,t)},mejs.HtmlMediaElementShim={create:function(e,t){var n=mejs.MediaElementDefaults,r=typeof e=="string"?document.getElementById(e):e,i=r.tagName.toLowerCase(),s=i==="audio"||i==="video",o=s?r.getAttribute("src"):r.getAttribute("href"),u=r.getAttribute("poster"),a=r.getAttribute("autoplay"),f=r.getAttribute("preload"),l=r.getAttribute("controls"),c,h;for(h in t)n[h]=t[h];return o=typeof o=="undefined"||o===null||o==""?null:o,u=typeof u=="undefined"||u===null?"":u,f=typeof f=="undefined"||f===null||f==="false"?"none":f,a=typeof a!="undefined"&&a!==null&&a!=="false",l=typeof l!="undefined"&&l!==null&&l!=="false",c=this.determinePlayback(r,n,mejs.MediaFeatures.supportsMediaTag,s,o),c.url=c.url!==null?mejs.Utility.absolutizeUrl(c.url):"",c.method=="native"?(mejs.MediaFeatures.isBustedAndroid&&(r.src=c.url,r.addEventListener("click",function(){r.play()},!1)),this.updateNative(c,n,a,f)):c.method!==""?this.createPlugin(c,n,u,a,f,l):(this.createErrorMessage(c,n,u),this)},determinePlayback:function(e,t,n,r,i){var s=[],o,u,a,f,l,c,h={method:"",url:"",htmlMediaElement:e,isVideo:e.tagName.toLowerCase()!="audio"},p,d,v,m,g;if(typeof t.type!="undefined"&&t.type!=="")if(typeof t.type=="string")s.push({type:t.type,url:i});else for(o=0;o<t.type.length;o++)s.push({type:t.type[o],url:i});else if(i!==null)c=this.formatType(i,e.getAttribute("type")),s.push({type:c,url:i});else for(o=0;o<e.childNodes.length;o++)l=e.childNodes[o],l.nodeType==1&&l.tagName.toLowerCase()=="source"&&(i=l.getAttribute("src"),c=this.formatType(i,l.getAttribute("type")),g=l.getAttribute("media"),(!g||!window.matchMedia||window.matchMedia&&window.matchMedia(g).matches)&&s.push({type:c,url:i}));!r&&s.length>0&&s[0].url!==null&&this.getTypeFromFile(s[0].url).indexOf("audio")>-1&&(h.isVideo=!1),mejs.MediaFeatures.isBustedAndroid&&(e.canPlayType=function(e){return e.match(/video\/(mp4|m4v)/gi)!==null?"maybe":""});if(n&&(t.mode==="auto"||t.mode==="auto_plugin"||t.mode==="native")){r||(m=document.createElement(h.isVideo?"video":"audio"),e.parentNode.insertBefore(m,e),e.style.display="none",h.htmlMediaElement=e=m);for(o=0;o<s.length;o++)if(e.canPlayType(s[o].type).replace(/no/,"")!==""||e.canPlayType(s[o].type.replace(/mp3/,"mpeg")).replace(/no/,"")!==""){h.method="native",h.url=s[o].url;break}if(h.method==="native"){h.url!==null&&(e.src=h.url);if(t.mode!=="auto_plugin")return h}}if(t.mode==="auto"||t.mode==="auto_plugin"||t.mode==="shim")for(o=0;o<s.length;o++){c=s[o].type;for(u=0;u<t.plugins.length;u++){p=t.plugins[u],d=mejs.plugins[p];for(a=0;a<d.length;a++){v=d[a];if(v.version==null||mejs.PluginDetector.hasPluginVersion(p,v.version))for(f=0;f<v.types.length;f++)if(c==v.types[f])return h.method=p,h.url=s[o].url,h}}}return t.mode==="auto_plugin"&&h.method==="native"?h:(h.method===""&&s.length>0&&(h.url=s[0].url),h)},formatType:function(e,t){var n;return e&&!t?this.getTypeFromFile(e):t&&~t.indexOf(";")?t.substr(0,t.indexOf(";")):t},getTypeFromFile:function(e){e=e.split("?")[0];var t=e.substring(e.lastIndexOf(".")+1).toLowerCase();return(/(mp4|m4v|ogg|ogv|webm|webmv|flv|wmv|mpeg|mov)/gi.test(t)?"video":"audio")+"/"+this.getTypeFromExtension(t)},getTypeFromExtension:function(e){switch(e){case"mp4":case"m4v":return"mp4";case"webm":case"webma":case"webmv":return"webm";case"ogg":case"oga":case"ogv":return"ogg";default:return e}},createErrorMessage:function(e,t,n){var r=e.htmlMediaElement,i=document.createElement("div");i.className="me-cannotplay";try{i.style.width=r.width+"px",i.style.height=r.height+"px"}catch(s){}i.innerHTML=n!==""?'<a href="'+e.url+'"><img src="'+n+'" width="100%" height="100%" /></a>':'<a href="'+e.url+'"><span>'+mejs.i18n.t("Download File")+"</span></a>",r.parentNode.insertBefore(i,r),r.style.display="none",t.error(r)},createPlugin:function(e,t,n,r,i,s){var o=e.htmlMediaElement,u=1,a=1,f="me_"+e.method+"_"+mejs.meIndex++,l=new mejs.PluginMediaElement(f,e.method,e.url),c=document.createElement("div"),h,p,d;l.tagName=o.tagName;for(var v=0;v<o.attributes.length;v++){var m=o.attributes[v];m.specified==1&&l.setAttribute(m.name,m.value)}p=o.parentNode;while(p!==null&&p.tagName.toLowerCase()!="body"){if(p.parentNode.tagName.toLowerCase()=="p"){p.parentNode.parentNode.insertBefore(p,p.parentNode);break}p=p.parentNode}e.isVideo?(u=t.videoWidth>0?t.videoWidth:o.getAttribute("width")!==null?o.getAttribute("width"):t.defaultVideoWidth,a=t.videoHeight>0?t.videoHeight:o.getAttribute("height")!==null?o.getAttribute("height"):t.defaultVideoHeight,u=mejs.Utility.encodeUrl(u),a=mejs.Utility.encodeUrl(a)):t.enablePluginDebug&&(u=320,a=240),l.success=t.success,mejs.MediaPluginBridge.registerPluginElement(f,l,o),c.className="me-plugin",c.id=f+"_container",e.isVideo?o.parentNode.insertBefore(c,o):document.body.insertBefore(c,document.body.childNodes[0]),d=["id="+f,"isvideo="+(e.isVideo?"true":"false"),"autoplay="+(r?"true":"false"),"preload="+i,"width="+u,"startvolume="+t.startVolume,"timerrate="+t.timerRate,"flashstreamer="+t.flashStreamer,"height="+a,"pseudostreamstart="+t.pseudoStreamingStartQueryParam],e.url!==null&&(e.method=="flash"?d.push("file="+mejs.Utility.encodeUrl(e.url)):d.push("file="+e.url)),t.enablePluginDebug&&d.push("debug=true"),t.enablePluginSmoothing&&d.push("smoothing=true"),t.enablePseudoStreaming&&d.push("pseudostreaming=true"),s&&d.push("controls=true"),t.pluginVars&&(d=d.concat(t.pluginVars));switch(e.method){case"silverlight":c.innerHTML='<object data="data:application/x-silverlight-2," type="application/x-silverlight-2" id="'+f+'" name="'+f+'" width="'+u+'" height="'+a+'" class="mejs-shim">'+'<param name="initParams" value="'+d.join(",")+'" />'+'<param name="windowless" value="true" />'+'<param name="background" value="black" />'+'<param name="minRuntimeVersion" value="3.0.0.0" />'+'<param name="autoUpgrade" value="true" />'+'<param name="source" value="'+t.pluginPath+t.silverlightName+'" />'+"</object>";break;case"flash":mejs.MediaFeatures.isIE?(h=document.createElement("div"),c.appendChild(h),h.outerHTML='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab" id="'+f+'" width="'+u+'" height="'+a+'" class="mejs-shim">'+'<param name="movie" value="'+t.pluginPath+t.flashName+"?x="+new Date+'" />'+'<param name="flashvars" value="'+d.join("&amp;")+'" />'+'<param name="quality" value="high" />'+'<param name="bgcolor" value="#000000" />'+'<param name="wmode" value="transparent" />'+'<param name="allowScriptAccess" value="always" />'+'<param name="allowFullScreen" value="true" />'+"</object>"):c.innerHTML='<embed id="'+f+'" name="'+f+'" '+'play="true" '+'loop="false" '+'quality="high" '+'bgcolor="#000000" '+'wmode="transparent" '+'allowScriptAccess="always" '+'allowFullScreen="true" '+'type="application/x-shockwave-flash" pluginspage="//www.macromedia.com/go/getflashplayer" '+'src="'+t.pluginPath+t.flashName+'" '+'flashvars="'+d.join("&")+'" '+'width="'+u+'" '+'height="'+a+'" '+'class="mejs-shim"></embed>';break;case"youtube":var g=e.url.substr(e.url.lastIndexOf("=")+1);youtubeSettings={container:c,containerId:c.id,pluginMediaElement:l,pluginId:f,videoId:g,height:a,width:u},mejs.PluginDetector.hasPluginVersion("flash",[10,0,0])?mejs.YouTubeApi.createFlash(youtubeSettings):mejs.YouTubeApi.enqueueIframe(youtubeSettings);break;case"vimeo":l.vimeoid=e.url.substr(e.url.lastIndexOf("/")+1),c.innerHTML='<iframe src="http://player.vimeo.com/video/'+l.vimeoid+'?portrait=0&byline=0&title=0" width="'+u+'" height="'+a+'" frameborder="0" class="mejs-shim"></iframe>'}return o.style.display="none",l},updateNative:function(e,t,n,r){var i=e.htmlMediaElement,s;for(s in mejs.HtmlMediaElement)i[s]=mejs.HtmlMediaElement[s];return t.success(i,i),i}},mejs.YouTubeApi={isIframeStarted:!1,isIframeLoaded:!1,loadIframeApi:function(){if(!this.isIframeStarted){var e=document.createElement("script");e.src="//www.youtube.com/player_api";var t=document.getElementsByTagName("script")[0];t.parentNode.insertBefore(e,t),this.isIframeStarted=!0}},iframeQueue:[],enqueueIframe:function(e){this.isLoaded?this.createIframe(e):(this.loadIframeApi(),this.iframeQueue.push(e))},createIframe:function(e){var t=e.pluginMediaElement,n=new YT.Player(e.containerId,{height:e.height,width:e.width,videoId:e.videoId,playerVars:{controls:0},events:{onReady:function(){e.pluginMediaElement.pluginApi=n,mejs.MediaPluginBridge.initPlugin(e.pluginId),setInterval(function(){mejs.YouTubeApi.createEvent(n,t,"timeupdate")},250)},onStateChange:function(e){mejs.YouTubeApi.handleStateChange(e.data,n,t)}}})},createEvent:function(e,t,n){var r={type:n,target:t};if(e&&e.getDuration){t.currentTime=r.currentTime=e.getCurrentTime(),t.duration=r.duration=e.getDuration(),r.paused=t.paused,r.ended=t.ended,r.muted=e.isMuted(),r.volume=e.getVolume()/100,r.bytesTotal=e.getVideoBytesTotal(),r.bufferedBytes=e.getVideoBytesLoaded();var i=r.bufferedBytes/r.bytesTotal*r.duration;r.target.buffered=r.buffered={start:function(e){return 0},end:function(e){return i},length:1}}t.dispatchEvent(r.type,r)},iFrameReady:function(){this.isLoaded=!0,this.isIframeLoaded=!0;while(this.iframeQueue.length>0){var e=this.iframeQueue.pop();this.createIframe(e)}},flashPlayers:{},createFlash:function(e){this.flashPlayers[e.pluginId]=e;var t,n="//www.youtube.com/apiplayer?enablejsapi=1&amp;playerapiid="+e.pluginId+"&amp;version=3&amp;autoplay=0&amp;controls=0&amp;modestbranding=1&loop=0";mejs.MediaFeatures.isIE?(t=document.createElement("div"),e.container.appendChild(t),t.outerHTML='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab" id="'+e.pluginId+'" width="'+e.width+'" height="'+e.height+'" class="mejs-shim">'+'<param name="movie" value="'+n+'" />'+'<param name="wmode" value="transparent" />'+'<param name="allowScriptAccess" value="always" />'+'<param name="allowFullScreen" value="true" />'+"</object>"):e.container.innerHTML='<object type="application/x-shockwave-flash" id="'+e.pluginId+'" data="'+n+'" '+'width="'+e.width+'" height="'+e.height+'" style="visibility: visible; " class="mejs-shim">'+'<param name="allowScriptAccess" value="always">'+'<param name="wmode" value="transparent">'+"</object>"},flashReady:function(e){var t=this.flashPlayers[e],n=document.getElementById(e),r=t.pluginMediaElement;r.pluginApi=r.pluginElement=n,mejs.MediaPluginBridge.initPlugin(e),n.cueVideoById(t.videoId);var i=t.containerId+"_callback";window[i]=function(e){mejs.YouTubeApi.handleStateChange(e,n,r)},n.addEventListener("onStateChange",i),setInterval(function(){mejs.YouTubeApi.createEvent(n,r,"timeupdate")},250)},handleStateChange:function(e,t,n){switch(e){case-1:n.paused=!0,n.ended=!0,mejs.YouTubeApi.createEvent(t,n,"loadedmetadata");break;case 0:n.paused=!1,n.ended=!0,mejs.YouTubeApi.createEvent(t,n,"ended");break;case 1:n.paused=!1,n.ended=!1,mejs.YouTubeApi.createEvent(t,n,"play"),mejs.YouTubeApi.createEvent(t,n,"playing");break;case 2:n.paused=!0,n.ended=!1,mejs.YouTubeApi.createEvent(t,n,"pause");break;case 3:mejs.YouTubeApi.createEvent(t,n,"progress");break;case 5:}}},window.mejs=mejs,window.MediaElement=mejs.MediaElement,function(e,t,n){"use strict";var r={locale:{strings:{}},methods:{}};r.locale.getLanguage=function(){return{language:navigator.language}},r.locale.INIT_LANGUAGE=r.locale.getLanguage(),r.methods.checkPlain=function(e){var t,n,r={"&":"&amp;",'"':"&quot;","<":"&lt;",">":"&gt;"};e=String(e);for(t in r)r.hasOwnProperty(t)&&(n=new RegExp(t,"g"),e=e.replace(n,r[t]));return e},r.methods.formatString=function(e,t){for(var n in t){switch(n.charAt(0)){case"@":t[n]=r.methods.checkPlain(t[n]);break;case"!":break;case"%":default:t[n]='<em class="placeholder">'+r.methods.checkPlain(t[n])+"</em>"}e=e.replace(n,t[n])}return e},r.methods.t=function(e,t,n){return r.locale.strings&&r.locale.strings[n.context]&&r.locale.strings[n.context][e]&&(e=r.locale.strings[n.context][e]),t&&(e=r.methods.formatString(e,t)),e},r.t=function(e,t,n){if(typeof e=="string"&&e.length>0){var i=r.locale.getLanguage();return n=n||{context:i.language},r.methods.t(e,t,n)}throw{name:"InvalidArgumentException",message:"First argument is either not a string or empty."}},t.i18n=r}(document,mejs),function(e,t){"use strict";e.de={Fullscreen:"Vollbild","Go Fullscreen":"Vollbild an","Turn off Fullscreen":"Vollbild aus",Close:"Schließen"}}(mejs.i18n.locale.strings),function(e,t){"use strict";e.zh={Fullscreen:"全螢幕","Go Fullscreen":"全屏模式","Turn off Fullscreen":"退出全屏模式",Close:"關閉"}}(mejs.i18n.locale.strings),typeof jQuery!="undefined"?mejs.$=jQuery:typeof ender!="undefined"&&(mejs.$=ender),function(e){mejs.MepDefaults={poster:"",defaultVideoWidth:480,defaultVideoHeight:270,videoWidth:-1,videoHeight:-1,defaultAudioWidth:400,defaultAudioHeight:30,defaultSeekBackwardInterval:function(e){return e.duration*.05},defaultSeekForwardInterval:function(e){return e.duration*.05},audioWidth:-1,audioHeight:-1,startVolume:.8,loop:!1,autoRewind:!0,enableAutosize:!0,alwaysShowHours:!1,showTimecodeFrameCount:!1,framesPerSecond:25,autosizeProgress:!0,alwaysShowControls:!1,hideVideoControlsOnLoad:!1,clickToPlayPause:!0,iPadUseNativeControls:!1,iPhoneUseNativeControls:!1,AndroidUseNativeControls:!1,features:["playpause","current","progress","duration","tracks","volume","fullscreen"],isVideo:!0,enableKeyboard:!0,pauseOtherPlayers:!0,keyActions:[{keys:[32,179],action:function(e,t){t.paused||t.ended?t.play():t.pause()}},{keys:[38],action:function(e,t){var n=Math.min(t.volume+.1,1);t.setVolume(n)}},{keys:[40],action:function(e,t){var n=Math.max(t.volume-.1,0);t.setVolume(n)}},{keys:[37,227],action:function(e,t){if(!isNaN(t.duration)&&t.duration>0){e.isVideo&&(e.showControls(),e.startControlsTimer());var n=Math.max(t.currentTime-e.options.defaultSeekBackwardInterval(t),0);t.setCurrentTime(n)}}},{keys:[39,228],action:function(e,t){if(!isNaN(t.duration)&&t.duration>0){e.isVideo&&(e.showControls(),e.startControlsTimer());var n=Math.min(t.currentTime+e.options.defaultSeekForwardInterval(t),t.duration);t.setCurrentTime(n)}}},{keys:[70],action:function(e,t){typeof e.enterFullScreen!="undefined"&&(e.isFullScreen?e.exitFullScreen():e.enterFullScreen())}}]},mejs.mepIndex=0,mejs.players={},mejs.MediaElementPlayer=function(t,n){if(this instanceof mejs.MediaElementPlayer){var r=this;return r.$media=r.$node=e(t),r.node=r.media=r.$media[0],typeof r.node.player!="undefined"?r.node.player:(r.node.player=r,typeof n=="undefined"&&(n=r.$node.data("mejsoptions")),r.options=e.extend({},mejs.MepDefaults,n),r.id="mep_"+mejs.mepIndex++,mejs.players[r.id]=r,r.init(),r)}return new mejs.MediaElementPlayer(t,n)},mejs.MediaElementPlayer.prototype={hasFocus:!1,controlsAreVisible:!0,init:function(){var t=this,n=mejs.MediaFeatures,r=e.extend(!0,{},t.options,{success:function(e,n){t.meReady(e,n)},error:function(e){t.handleError(e)}}),i=t.media.tagName.toLowerCase();t.isDynamic=i!=="audio"&&i!=="video",t.isDynamic?t.isVideo=t.options.isVideo:t.isVideo=i!=="audio"&&t.options.isVideo;if(n.isiPad&&t.options.iPadUseNativeControls||n.isiPhone&&t.options.iPhoneUseNativeControls)t.$media.attr("controls","controls"),n.isiPad&&t.media.getAttribute("autoplay")!==null&&(t.media.load(),t.media.play());else if(!n.isAndroid||!t.options.AndroidUseNativeControls){t.$media.removeAttr("controls"),t.container=e('<div id="'+t.id+'" class="mejs-container '+(mejs.MediaFeatures.svg?"svg":"no-svg")+'">'+'<div class="mejs-inner">'+'<div class="mejs-mediaelement"></div>'+'<div class="mejs-layers"></div>'+'<div class="mejs-controls"></div>'+'<div class="mejs-clear"></div>'+"</div>"+"</div>").addClass(t.$media[0].className).insertBefore(t.$media),t.container.addClass((n.isAndroid?"mejs-android ":"")+(n.isiOS?"mejs-ios ":"")+(n.isiPad?"mejs-ipad ":"")+(n.isiPhone?"mejs-iphone ":"")+(t.isVideo?"mejs-video ":"mejs-audio "));if(n.isiOS){var s=t.$media.clone();t.container.find(".mejs-mediaelement").append(s),t.$media.remove(),t.$node=t.$media=s,t.node=t.media=s[0]}else t.container.find(".mejs-mediaelement").append(t.$media);t.controls=t.container.find(".mejs-controls"),t.layers=t.container.find(".mejs-layers");var o=t.isVideo?"video":"audio",u=o.substring(0,1).toUpperCase()+o.substring(1);t.options[o+"Width"]>0||t.options[o+"Width"].toString().indexOf("%")>-1?t.width=t.options[o+"Width"]:t.media.style.width!==""&&t.media.style.width!==null?t.width=t.media.style.width:t.media.getAttribute("width")!==null?t.width=t.$media.attr("width"):t.width=t.options["default"+u+"Width"],t.options[o+"Height"]>0||t.options[o+"Height"].toString().indexOf("%")>-1?t.height=t.options[o+"Height"]:t.media.style.height!==""&&t.media.style.height!==null?t.height=t.media.style.height:t.$media[0].getAttribute("height")!==null?t.height=t.$media.attr("height"):t.height=t.options["default"+u+"Height"],t.setPlayerSize(t.width,t.height),r.pluginWidth=t.height,r.pluginHeight=t.width}mejs.MediaElement(t.$media[0],r),typeof t.container!="undefined"&&t.container.trigger("controlsshown")},showControls:function(e){var t=this;e=typeof e=="undefined"||e;if(t.controlsAreVisible)return;e?(t.controls.css("visibility","visible").stop(!0,!0).fadeIn(200,function(){t.controlsAreVisible=!0,t.container.trigger("controlsshown")}),t.container.find(".mejs-control").css("visibility","visible").stop(!0,!0).fadeIn(200,function(){t.controlsAreVisible=!0})):(t.controls.css("visibility","visible").css("display","block"),t.container.find(".mejs-control").css("visibility","visible").css("display","block"),t.controlsAreVisible=!0,t.container.trigger("controlsshown")),t.setControlsSize()},hideControls:function(t){var n=this;t=typeof t=="undefined"||t;if(!n.controlsAreVisible)return;t?(n.controls.stop(!0,!0).fadeOut(200,function(){e(this).css("visibility","hidden").css("display","block"),n.controlsAreVisible=!1,n.container.trigger("controlshidden")}),n.container.find(".mejs-control").stop(!0,!0).fadeOut(200,function(){e(this).css("visibility","hidden").css("display","block")})):(n.controls.css("visibility","hidden").css("display","block"),n.container.find(".mejs-control").css("visibility","hidden").css("display","block"),n.controlsAreVisible=!1,n.container.trigger("controlshidden"))},controlsTimer:null,startControlsTimer:function(e){var t=this;e=typeof e!="undefined"?e:1500,t.killControlsTimer("start"),t.controlsTimer=setTimeout(function(){t.hideControls(),t.killControlsTimer("hide")},e)},killControlsTimer:function(e){var t=this;t.controlsTimer!==null&&(clearTimeout(t.controlsTimer),delete t.controlsTimer,t.controlsTimer=null)},controlsEnabled:!0,disableControls:function(){var e=this;e.killControlsTimer(),e.hideControls(!1),this.controlsEnabled=!1},enableControls:function(){var e=this;e.showControls(!1),e.controlsEnabled=!0},meReady:function(e,t){var n=this,r=mejs.MediaFeatures,i=t.getAttribute("autoplay"),s=typeof i!="undefined"&&i!==null&&i!=="false",o,u;if(n.created)return;n.created=!0,n.media=e,n.domNode=t;if((!r.isAndroid||!n.options.AndroidUseNativeControls)&&(!r.isiPad||!n.options.iPadUseNativeControls)&&(!r.isiPhone||!n.options.iPhoneUseNativeControls)){n.buildposter(n,n.controls,n.layers,n.media),n.buildkeyboard(n,n.controls,n.layers,n.media),n.buildoverlays(n,n.controls,n.layers,n.media),n.findTracks();for(o in n.options.features){u=n.options.features[o];if(n["build"+u])try{n["build"+u](n,n.controls,n.layers,n.media)}catch(a){}}n.container.trigger("controlsready"),n.setPlayerSize(n.width,n.height),n.setControlsSize(),n.isVideo&&(mejs.MediaFeatures.hasTouch?n.$media.bind("touchstart",function(){n.controlsAreVisible?n.hideControls(!1):n.controlsEnabled&&n.showControls(!1)}):(n.media.addEventListener("click",function(){n.options.clickToPlayPause&&(n.media.paused?n.media.play():n.media.pause())}),n.container.bind("mouseenter mouseover",function(){n.controlsEnabled&&(n.options.alwaysShowControls||(n.killControlsTimer("enter"),n.showControls(),n.startControlsTimer(2500)))}).bind("mousemove",function(){n.controlsEnabled&&(n.controlsAreVisible||n.showControls(),n.options.alwaysShowControls||n.startControlsTimer(2500))}).bind("mouseleave",function(){n.controlsEnabled&&!n.media.paused&&!n.options.alwaysShowControls&&n.startControlsTimer(1e3)})),n.options.hideVideoControlsOnLoad&&n.hideControls(!1),s&&!n.options.alwaysShowControls&&n.hideControls(),n.options.enableAutosize&&n.media.addEventListener("loadedmetadata",function(e){n.options.videoHeight<=0&&n.domNode.getAttribute("height")===null&&!isNaN(e.target.videoHeight)&&(n.setPlayerSize(e.target.videoWidth,e.target.videoHeight),n.setControlsSize(),n.media.setVideoSize(e.target.videoWidth,e.target.videoHeight))},!1)),e.addEventListener("play",function(){var e;for(e in mejs.players){var t=mejs.players[e];t.id!=n.id&&n.options.pauseOtherPlayers&&!
t.paused&&!t.ended&&t.pause(),t.hasFocus=!1}n.hasFocus=!0},!1),n.media.addEventListener("ended",function(e){if(n.options.autoRewind)try{n.media.setCurrentTime(0)}catch(t){}n.media.pause(),n.setProgressRail&&n.setProgressRail(),n.setCurrentRail&&n.setCurrentRail(),n.options.loop?n.media.play():!n.options.alwaysShowControls&&n.controlsEnabled&&n.showControls()},!1),n.media.addEventListener("loadedmetadata",function(e){n.updateDuration&&n.updateDuration(),n.updateCurrent&&n.updateCurrent(),n.isFullScreen||(n.setPlayerSize(n.width,n.height),n.setControlsSize())},!1),setTimeout(function(){n.setPlayerSize(n.width,n.height),n.setControlsSize()},50),n.globalBind("resize",function(){n.isFullScreen||mejs.MediaFeatures.hasTrueNativeFullScreen&&document.webkitIsFullScreen||n.setPlayerSize(n.width,n.height),n.setControlsSize()}),n.media.pluginType=="youtube"&&n.container.find(".mejs-overlay-play").hide()}s&&e.pluginType=="native"&&(e.load(),e.play()),n.options.success&&(typeof n.options.success=="string"?window[n.options.success](n.media,n.domNode,n):n.options.success(n.media,n.domNode,n))},handleError:function(e){var t=this;t.controls.hide(),t.options.error&&t.options.error(e)},setPlayerSize:function(t,n){var r=this;typeof t!="undefined"&&(r.width=t),typeof n!="undefined"&&(r.height=n);if(r.height.toString().indexOf("%")>0||r.$node.css("max-width")==="100%"||r.$node[0].currentStyle&&r.$node[0].currentStyle.maxWidth==="100%"){var i=r.isVideo?r.media.videoWidth&&r.media.videoWidth>0?r.media.videoWidth:r.options.defaultVideoWidth:r.options.defaultAudioWidth,s=r.isVideo?r.media.videoHeight&&r.media.videoHeight>0?r.media.videoHeight:r.options.defaultVideoHeight:r.options.defaultAudioHeight,o=r.container.parent().closest(":visible").width(),u=r.isVideo||!r.options.autosizeProgress?parseInt(o*s/i,10):s;r.container.parent()[0].tagName.toLowerCase()==="body"&&(o=e(window).width(),u=e(window).height()),u!=0&&o!=0&&(r.container.width(o).height(u),r.$media.add(r.container.find(".mejs-shim")).width("100%").height("100%"),r.isVideo&&r.media.setVideoSize&&r.media.setVideoSize(o,u),r.layers.children(".mejs-layer").width("100%").height("100%"))}else r.container.width(r.width).height(r.height),r.layers.children(".mejs-layer").width(r.width).height(r.height)},setControlsSize:function(){var t=this,n=0,r=0,i=t.controls.find(".mejs-time-rail"),s=t.controls.find(".mejs-time-total"),o=t.controls.find(".mejs-time-current"),u=t.controls.find(".mejs-time-loaded"),a=i.siblings();t.options&&!t.options.autosizeProgress&&(r=parseInt(i.css("width")));if(r===0||!r)a.each(function(){var t=e(this);t.css("position")!="absolute"&&t.is(":visible")&&(n+=e(this).outerWidth(!0))}),r=t.controls.width()-n-(i.outerWidth(!0)-i.width());i.width(r),s.width(r-(s.outerWidth(!0)-s.width())),t.setProgressRail&&t.setProgressRail(),t.setCurrentRail&&t.setCurrentRail()},buildposter:function(t,n,r,i){var s=this,o=e('<div class="mejs-poster mejs-layer"></div>').appendTo(r),u=t.$media.attr("poster");t.options.poster!==""&&(u=t.options.poster),u!==""&&u!=null?s.setPoster(u):o.hide(),i.addEventListener("play",function(){o.hide()},!1)},setPoster:function(t){var n=this,r=n.container.find(".mejs-poster"),i=r.find("img");i.length==0&&(i=e('<img width="100%" height="100%" />').appendTo(r)),i.attr("src",t)},buildoverlays:function(t,n,r,i){var s=this;if(!t.isVideo)return;var o=e('<div class="mejs-overlay mejs-layer"><div class="mejs-overlay-loading"><span></span></div></div>').hide().appendTo(r),u=e('<div class="mejs-overlay mejs-layer"><div class="mejs-overlay-error"></div></div>').hide().appendTo(r),a=e('<div class="mejs-overlay mejs-layer mejs-overlay-play"><div class="mejs-overlay-button"></div></div>').appendTo(r).click(function(){s.options.clickToPlayPause&&(i.paused?i.play():i.pause())});i.addEventListener("play",function(){a.hide(),o.hide(),n.find(".mejs-time-buffering").hide(),u.hide()},!1),i.addEventListener("playing",function(){a.hide(),o.hide(),n.find(".mejs-time-buffering").hide(),u.hide()},!1),i.addEventListener("seeking",function(){o.show(),n.find(".mejs-time-buffering").show()},!1),i.addEventListener("seeked",function(){o.hide(),n.find(".mejs-time-buffering").hide()},!1),i.addEventListener("pause",function(){mejs.MediaFeatures.isiPhone||a.show()},!1),i.addEventListener("waiting",function(){o.show(),n.find(".mejs-time-buffering").show()},!1),i.addEventListener("loadeddata",function(){o.show(),n.find(".mejs-time-buffering").show()},!1),i.addEventListener("canplay",function(){o.hide(),n.find(".mejs-time-buffering").hide()},!1),i.addEventListener("error",function(){o.hide(),n.find(".mejs-time-buffering").hide(),u.show(),u.find("mejs-overlay-error").html("Error loading this resource")},!1)},buildkeyboard:function(t,n,r,i){var s=this;s.globalBind("keydown",function(e){if(t.hasFocus&&t.options.enableKeyboard)for(var n=0,r=t.options.keyActions.length;n<r;n++){var s=t.options.keyActions[n];for(var o=0,u=s.keys.length;o<u;o++)if(e.keyCode==s.keys[o])return e.preventDefault(),s.action(t,i,e.keyCode),!1}return!0}),s.globalBind("click",function(n){e(n.target).closest(".mejs-container").length==0&&(t.hasFocus=!1)})},findTracks:function(){var t=this,n=t.$media.find("track");t.tracks=[],n.each(function(n,r){r=e(r),t.tracks.push({srclang:r.attr("srclang")?r.attr("srclang").toLowerCase():"",src:r.attr("src"),kind:r.attr("kind"),label:r.attr("label")||"",entries:[],isLoaded:!1})})},changeSkin:function(e){this.container[0].className="mejs-container "+e,this.setPlayerSize(this.width,this.height),this.setControlsSize()},play:function(){this.media.play()},pause:function(){this.media.pause()},load:function(){this.media.load()},setMuted:function(e){this.media.setMuted(e)},setCurrentTime:function(e){this.media.setCurrentTime(e)},getCurrentTime:function(){return this.media.currentTime},setVolume:function(e){this.media.setVolume(e)},getVolume:function(){return this.media.volume},setSrc:function(e){this.media.setSrc(e)},remove:function(){var e=this,t,n;for(t in e.options.features){n=e.options.features[t];if(e["clean"+n])try{e["clean"+n](e)}catch(r){}}e.media.pluginType==="native"?e.$media.prop("controls",!0):e.media.remove(),e.isDynamic||(e.media.pluginType==="native",e.$node.insertBefore(e.container)),delete mejs.players[e.id],e.container.remove(),e.globalUnbind(),delete e.node.player}},function(){function n(n,r){var i={d:[],w:[]};return e.each((n||"").split(" "),function(e,n){i[t.test(n)?"w":"d"].push(n+"."+r)}),i.d=i.d.join(" "),i.w=i.w.join(" "),i}var t=/^((after|before)print|(before)?unload|hashchange|message|o(ff|n)line|page(hide|show)|popstate|resize|storage)\b/;mejs.MediaElementPlayer.prototype.globalBind=function(t,r,i){var s=this;t=n(t,s.id),t.d&&e(document).bind(t.d,r,i),t.w&&e(window).bind(t.w,r,i)},mejs.MediaElementPlayer.prototype.globalUnbind=function(t,r){var i=this;t=n(t,i.id),t.d&&e(document).unbind(t.d,r),t.w&&e(window).unbind(t.w,r)}}(),typeof jQuery!="undefined"&&(jQuery.fn.mediaelementplayer=function(e){return e===!1?this.each(function(){var e=jQuery(this).data("mediaelementplayer");e&&e.remove(),jQuery(this).removeData("mediaelementplayer")}):this.each(function(){jQuery(this).data("mediaelementplayer",new mejs.MediaElementPlayer(this,e))}),this}),e(document).ready(function(){e(".mejs-player").mediaelementplayer()}),window.MediaElementPlayer=mejs.MediaElementPlayer}(mejs.$),function(e){e.extend(mejs.MepDefaults,{playpauseText:"Play/Pause"}),e.extend(MediaElementPlayer.prototype,{buildplaypause:function(t,n,r,i){var s=this,o=e('<div class="mejs-button mejs-playpause-button mejs-play" ><button type="button" aria-controls="'+s.id+'" title="'+s.options.playpauseText+'" aria-label="'+s.options.playpauseText+'"></button>'+"</div>").appendTo(n).click(function(e){return e.preventDefault(),i.paused?i.play():i.pause(),!1});i.addEventListener("play",function(){o.removeClass("mejs-play").addClass("mejs-pause")},!1),i.addEventListener("playing",function(){o.removeClass("mejs-play").addClass("mejs-pause")},!1),i.addEventListener("pause",function(){o.removeClass("mejs-pause").addClass("mejs-play")},!1),i.addEventListener("paused",function(){o.removeClass("mejs-pause").addClass("mejs-play")},!1)}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{stopText:"Stop"}),e.extend(MediaElementPlayer.prototype,{buildstop:function(t,n,r,i){var s=this,o=e('<div class="mejs-button mejs-stop-button mejs-stop"><button type="button" aria-controls="'+s.id+'" title="'+s.options.stopText+'" aria-label="'+s.options.stopText+'"></button>'+"</div>").appendTo(n).click(function(){i.paused||i.pause(),i.currentTime>0&&(i.setCurrentTime(0),i.pause(),n.find(".mejs-time-current").width("0px"),n.find(".mejs-time-handle").css("left","0px"),n.find(".mejs-time-float-current").html(mejs.Utility.secondsToTimeCode(0)),n.find(".mejs-currenttime").html(mejs.Utility.secondsToTimeCode(0)),r.find(".mejs-poster").show())})}})}(mejs.$),function(e){e.extend(MediaElementPlayer.prototype,{buildprogress:function(t,n,r,i){e('<div class="mejs-time-rail"><span class="mejs-time-total"><span class="mejs-time-buffering"></span><span class="mejs-time-loaded"></span><span class="mejs-time-current"></span><span class="mejs-time-handle"></span><span class="mejs-time-float"><span class="mejs-time-float-current">00:00</span><span class="mejs-time-float-corner"></span></span></span></div>').appendTo(n),n.find(".mejs-time-buffering").hide();var s=this,o=n.find(".mejs-time-total"),u=n.find(".mejs-time-loaded"),a=n.find(".mejs-time-current"),f=n.find(".mejs-time-handle"),l=n.find(".mejs-time-float"),c=n.find(".mejs-time-float-current"),h=function(e){var t=e.pageX,n=o.offset(),r=o.outerWidth(!0),s=0,u=0,a=0;i.duration&&(t<n.left?t=n.left:t>r+n.left&&(t=r+n.left),a=t-n.left,s=a/r,u=s<=.02?0:s*i.duration,p&&u!==i.currentTime&&i.setCurrentTime(u),mejs.MediaFeatures.hasTouch||(l.css("left",a),c.html(mejs.Utility.secondsToTimeCode(u)),l.show()))},p=!1,d=!1;o.bind("mousedown",function(e){if(e.which===1)return p=!0,h(e),s.globalBind("mousemove.dur",function(e){h(e)}),s.globalBind("mouseup.dur",function(e){p=!1,l.hide(),s.globalUnbind(".dur")}),!1}).bind("mouseenter",function(e){d=!0,s.globalBind("mousemove.dur",function(e){h(e)}),mejs.MediaFeatures.hasTouch||l.show()}).bind("mouseleave",function(e){d=!1,p||(s.globalUnbind(".dur"),l.hide())}),i.addEventListener("progress",function(e){t.setProgressRail(e),t.setCurrentRail(e)},!1),i.addEventListener("timeupdate",function(e){t.setProgressRail(e),t.setCurrentRail(e)},!1),s.loaded=u,s.total=o,s.current=a,s.handle=f},setProgressRail:function(e){var t=this,n=e!=undefined?e.target:t.media,r=null;n&&n.buffered&&n.buffered.length>0&&n.buffered.end&&n.duration?r=n.buffered.end(0)/n.duration:n&&n.bytesTotal!=undefined&&n.bytesTotal>0&&n.bufferedBytes!=undefined?r=n.bufferedBytes/n.bytesTotal:e&&e.lengthComputable&&e.total!=0&&(r=e.loaded/e.total),r!==null&&(r=Math.min(1,Math.max(0,r)),t.loaded&&t.total&&t.loaded.width(t.total.width()*r))},setCurrentRail:function(){var e=this;if(e.media.currentTime!=undefined&&e.media.duration&&e.total&&e.handle){var t=Math.round(e.total.width()*e.media.currentTime/e.media.duration),n=t-Math.round(e.handle.outerWidth(!0)/2);e.current.width(t),e.handle.css("left",n)}}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{duration:-1,timeAndDurationSeparator:" <span> | </span> "}),e.extend(MediaElementPlayer.prototype,{buildcurrent:function(t,n,r,i){var s=this;e('<div class="mejs-time"><span class="mejs-currenttime">'+(t.options.alwaysShowHours?"00:":"")+(t.options.showTimecodeFrameCount?"00:00:00":"00:00")+"</span>"+"</div>").appendTo(n),s.currenttime=s.controls.find(".mejs-currenttime"),i.addEventListener("timeupdate",function(){t.updateCurrent()},!1)},buildduration:function(t,n,r,i){var s=this;n.children().last().find(".mejs-currenttime").length>0?e(s.options.timeAndDurationSeparator+'<span class="mejs-duration">'+(s.options.duration>0?mejs.Utility.secondsToTimeCode(s.options.duration,s.options.alwaysShowHours||s.media.duration>3600,s.options.showTimecodeFrameCount,s.options.framesPerSecond||25):(t.options.alwaysShowHours?"00:":"")+(t.options.showTimecodeFrameCount?"00:00:00":"00:00"))+"</span>").appendTo(n.find(".mejs-time")):(n.find(".mejs-currenttime").parent().addClass("mejs-currenttime-container"),e('<div class="mejs-time mejs-duration-container"><span class="mejs-duration">'+(s.options.duration>0?mejs.Utility.secondsToTimeCode(s.options.duration,s.options.alwaysShowHours||s.media.duration>3600,s.options.showTimecodeFrameCount,s.options.framesPerSecond||25):(t.options.alwaysShowHours?"00:":"")+(t.options.showTimecodeFrameCount?"00:00:00":"00:00"))+"</span>"+"</div>").appendTo(n)),s.durationD=s.controls.find(".mejs-duration"),i.addEventListener("timeupdate",function(){t.updateDuration()},!1)},updateCurrent:function(){var e=this;e.currenttime&&e.currenttime.html(mejs.Utility.secondsToTimeCode(e.media.currentTime,e.options.alwaysShowHours||e.media.duration>3600,e.options.showTimecodeFrameCount,e.options.framesPerSecond||25))},updateDuration:function(){var e=this;e.container.toggleClass("mejs-long-video",e.media.duration>3600),e.durationD&&(e.options.duration>0||e.media.duration)&&e.durationD.html(mejs.Utility.secondsToTimeCode(e.options.duration>0?e.options.duration:e.media.duration,e.options.alwaysShowHours,e.options.showTimecodeFrameCount,e.options.framesPerSecond||25))}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{muteText:"Mute Toggle",hideVolumeOnTouchDevices:!0,audioVolume:"horizontal",videoVolume:"vertical"}),e.extend(MediaElementPlayer.prototype,{buildvolume:function(t,n,r,i){if(mejs.MediaFeatures.hasTouch&&this.options.hideVolumeOnTouchDevices)return;var s=this,o=s.isVideo?s.options.videoVolume:s.options.audioVolume,u=o=="horizontal"?e('<div class="mejs-button mejs-volume-button mejs-mute"><button type="button" aria-controls="'+s.id+'" title="'+s.options.muteText+'" aria-label="'+s.options.muteText+'"></button>'+"</div>"+'<div class="mejs-horizontal-volume-slider">'+'<div class="mejs-horizontal-volume-total"></div>'+'<div class="mejs-horizontal-volume-current"></div>'+'<div class="mejs-horizontal-volume-handle"></div>'+"</div>").appendTo(n):e('<div class="mejs-button mejs-volume-button mejs-mute"><button type="button" aria-controls="'+s.id+'" title="'+s.options.muteText+'" aria-label="'+s.options.muteText+'"></button>'+'<div class="mejs-volume-slider">'+'<div class="mejs-volume-total"></div>'+'<div class="mejs-volume-current"></div>'+'<div class="mejs-volume-handle"></div>'+"</div>"+"</div>").appendTo(n),a=s.container.find(".mejs-volume-slider, .mejs-horizontal-volume-slider"),f=s.container.find(".mejs-volume-total, .mejs-horizontal-volume-total"),l=s.container.find(".mejs-volume-current, .mejs-horizontal-volume-current"),c=s.container.find(".mejs-volume-handle, .mejs-horizontal-volume-handle"),h=function(e,t){if(!a.is(":visible")&&typeof t=="undefined"){a.show(),h(e,!0),a.hide();return}e=Math.max(0,e),e=Math.min(e,1),e==0?u.removeClass("mejs-mute").addClass("mejs-unmute"):u.removeClass("mejs-unmute").addClass("mejs-mute");if(o=="vertical"){var n=f.height(),r=f.position(),i=n-n*e;c.css("top",Math.round(r.top+i-c.height()/2)),l.height(n-i),l.css("top",r.top+i)}else{var s=f.width(),r=f.position(),p=s*e;c.css("left",Math.round(r.left+p-c.width()/2)),l.width(Math.round(p))}},p=function(e){var t=null,n=f.offset();if(o=="vertical"){var r=f.height(),s=parseInt(f.css("top").replace(/px/,""),10),u=e.pageY-n.top;t=(r-u)/r;if(n.top==0||n.left==0)return}else{var a=f.width(),l=e.pageX-n.left;t=l/a}t=Math.max(0,t),t=Math.min(t,1),h(t),t==0?i.setMuted(!0):i.setMuted(!1),i.setVolume(t)},d=!1,v=!1;u.hover(function(){a.show(),v=!0},function(){v=!1,!d&&o=="vertical"&&a.hide()}),a.bind("mouseover",function(){v=!0}).bind("mousedown",function(e){return p(e),s.globalBind("mousemove.vol",function(e){p(e)}),s.globalBind("mouseup.vol",function(){d=!1,s.globalUnbind(".vol"),!v&&o=="vertical"&&a.hide()}),d=!0,!1}),u.find("button").click(function(){i.setMuted(!i.muted)}),i.addEventListener("volumechange",function(e){d||(i.muted?(h(0),u.removeClass("mejs-mute").addClass("mejs-unmute")):(h(i.volume),u.removeClass("mejs-unmute").addClass("mejs-mute")))},!1),s.container.is(":visible")&&(h(t.options.startVolume),t.options.startVolume===0&&i.setMuted(!0),i.pluginType==="native"&&i.setVolume(t.options.startVolume))}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{usePluginFullScreen:!0,newWindowCallback:function(){return""},fullscreenText:mejs.i18n.t("Fullscreen")}),e.extend(MediaElementPlayer.prototype,{isFullScreen:!1,isNativeFullScreen:!1,docStyleOverflow:null,isInIframe:!1,buildfullscreen:function(t,n,r,i){if(!t.isVideo)return;t.isInIframe=window.location!=window.parent.location;if(mejs.MediaFeatures.hasTrueNativeFullScreen){var s=function(e){mejs.MediaFeatures.isFullScreen()?(t.isNativeFullScreen=!0,t.setControlsSize()):(t.isNativeFullScreen=!1,t.exitFullScreen())};mejs.MediaFeatures.hasMozNativeFullScreen?t.globalBind(mejs.MediaFeatures.fullScreenEventName,s):t.container.bind(mejs.MediaFeatures.fullScreenEventName,s)}var o=this,u=0,a=0,f=t.container,l=e('<div class="mejs-button mejs-fullscreen-button"><button type="button" aria-controls="'+o.id+'" title="'+o.options.fullscreenText+'" aria-label="'+o.options.fullscreenText+'"></button>'+"</div>").appendTo(n);if(o.media.pluginType==="native"||!o.options.usePluginFullScreen&&!mejs.MediaFeatures.isFirefox)l.click(function(){var e=mejs.MediaFeatures.hasTrueNativeFullScreen&&mejs.MediaFeatures.isFullScreen()||t.isFullScreen;e?t.exitFullScreen():t.enterFullScreen()});else{var c=null,h=function(){var e=document.createElement("x"),t=document.documentElement,n=window.getComputedStyle,r;return"pointerEvents"in e.style?(e.style.pointerEvents="auto",e.style.pointerEvents="x",t.appendChild(e),r=n&&n(e,"").pointerEvents==="auto",t.removeChild(e),!!r):!1}();if(h&&!mejs.MediaFeatures.isOpera){var p=!1,d=function(){if(p){for(var e in v)v[e].hide();l.css("pointer-events",""),o.controls.css("pointer-events",""),p=!1}},v={},m=["top","left","right","bottom"],g,y,b=function(){var e=l.offset().left-o.container.offset().left,t=l.offset().top-o.container.offset().top,n=l.outerWidth(!0),r=l.outerHeight(!0),i=o.container.width(),s=o.container.height();for(g in v)v[g].css({position:"absolute",top:0,left:0});v.top.width(i).height(t),v.left.width(e).height(r).css({top:t}),v.right.width(i-e-n).height(r).css({top:t,left:e+n}),v.bottom.width(i).height(s-r-t).css({top:t+r})};o.globalBind("resize",function(){b()});for(g=0,y=m.length;g<y;g+=1)v[m[g]]=e('<div class="mejs-fullscreen-hover" />').appendTo(o.container).mouseover(d).hide();l.mouseover(function(){if(!o.isFullScreen){var e=l.offset(),n=t.container.offset();i.positionFullscreenButton(e.left-n.left,e.top-n.top,!1),l.css("pointer-events","none"),o.controls.css("pointer-events","none");for(g in v)v[g].show();b(),p=!0}}),i.addEventListener("fullscreenchange",function(e){d()})}else l.mouseover(function(){c!==null&&(clearTimeout(c),delete c);var e=l.offset(),n=t.container.offset();i.positionFullscreenButton(e.left-n.left,e.top-n.top,!0)}).mouseout(function(){c!==null&&(clearTimeout(c),delete c),c=setTimeout(function(){i.hideFullscreenButton()},1500)})}t.fullscreenBtn=l,o.globalBind("keydown",function(e){(mejs.MediaFeatures.hasTrueNativeFullScreen&&mejs.MediaFeatures.isFullScreen()||o.isFullScreen)&&e.keyCode==27&&t.exitFullScreen()})},cleanfullscreen:function(e){e.exitFullScreen()},containerSizeTimeout:null,enterFullScreen:function(){var t=this;if(t.media.pluginType!=="native"&&(mejs.MediaFeatures.isFirefox||t.options.usePluginFullScreen))return;docStyleOverflow=document.documentElement.style.overflow,document.documentElement.style.overflow="hidden",normalHeight=t.container.height(),normalWidth=t.container.width();if(t.media.pluginType==="native")if(mejs.MediaFeatures.hasTrueNativeFullScreen)mejs.MediaFeatures.requestFullScreen(t.container[0]),t.isInIframe&&setTimeout(function r(){t.isNativeFullScreen&&(e(window).width()!==screen.width?t.exitFullScreen():setTimeout(r,500))},500);else if(mejs.MediaFeatures.hasSemiNativeFullScreen){t.media.webkitEnterFullscreen();return}if(t.isInIframe){var n=t.options.newWindowCallback(this);if(n!==""){if(!mejs.MediaFeatures.hasTrueNativeFullScreen){t.pause(),window.open(n,t.id,"top=0,left=0,width="+screen.availWidth+",height="+screen.availHeight+",resizable=yes,scrollbars=no,status=no,toolbar=no");return}setTimeout(function(){t.isNativeFullScreen||(t.pause(),window.open(n,t.id,"top=0,left=0,width="+screen.availWidth+",height="+screen.availHeight+",resizable=yes,scrollbars=no,status=no,toolbar=no"))},250)}}t.container.addClass("mejs-container-fullscreen").width("100%").height("100%"),t.containerSizeTimeout=setTimeout(function(){t.container.css({width:"100%",height:"100%"}),t.setControlsSize()},500),t.pluginType==="native"?t.$media.width("100%").height("100%"):(t.container.find(".mejs-shim").width("100%").height("100%"),t.media.setVideoSize(e(window).width(),e(window).height())),t.layers.children("div").width("100%").height("100%"),t.fullscreenBtn&&t.fullscreenBtn.removeClass("mejs-fullscreen").addClass("mejs-unfullscreen"),t.setControlsSize(),t.isFullScreen=!0},exitFullScreen:function(){var e=this;clearTimeout(e.containerSizeTimeout);if(e.media.pluginType!=="native"&&mejs.MediaFeatures.isFirefox){e.media.setFullscreen(!1);return}mejs.MediaFeatures.hasTrueNativeFullScreen&&(mejs.MediaFeatures.isFullScreen()||e.isFullScreen)&&mejs.MediaFeatures.cancelFullScreen(),document.documentElement.style.overflow=docStyleOverflow,e.container.removeClass("mejs-container-fullscreen").width(normalWidth).height(normalHeight),e.pluginType==="native"?e.$media.width(normalWidth).height(normalHeight):(e.container.find("object embed").width(normalWidth).height(normalHeight),e.media.setVideoSize(normalWidth,normalHeight)),e.layers.children("div").width(normalWidth).height(normalHeight),e.fullscreenBtn.removeClass("mejs-unfullscreen").addClass("mejs-fullscreen"),e.setControlsSize(),e.isFullScreen=!1}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{startLanguage:"",tracksText:"Captions/Subtitles",hideCaptionsButtonWhenEmpty:!0,toggleCaptionsButtonWhenOnlyOne:!1,slidesSelector:""}),e.extend(MediaElementPlayer.prototype,{hasChapters:!1,buildtracks:function(t,n,r,i){if(t.tracks.length==0)return;var s=this,o,u="";t.chapters=e('<div class="mejs-chapters mejs-layer"></div>').prependTo(r).hide(),t.captions=e('<div class="mejs-captions-layer mejs-layer"><div class="mejs-captions-position mejs-captions-position-hover"><span class="mejs-captions-text"></span></div></div>').prependTo(r).hide(),t.captionsText=t.captions.find(".mejs-captions-text"),t.captionsButton=e('<div class="mejs-button mejs-captions-button"><button type="button" aria-controls="'+s.id+'" title="'+s.options.tracksText+'" aria-label="'+s.options.tracksText+'"></button>'+'<div class="mejs-captions-selector">'+"<ul>"+"<li>"+'<input type="radio" name="'+t.id+'_captions" id="'+t.id+'_captions_none" value="none" checked="checked" />'+'<label for="'+t.id+'_captions_none">None</label>'+"</li>"+"</ul>"+"</div>"+"</div>").appendTo(n);var a=0;for(o=0;o<t.tracks.length;o++)t.tracks[o].kind=="subtitles"&&a++;s.options.toggleCaptionsButtonWhenOnlyOne&&a==1?t.captionsButton.on("click",function(){if(t.selectedTrack==null)var e=t.tracks[0].srclang;else var e="none";t.setTrack(e)}):t.captionsButton.hover(function(){e(this).find(".mejs-captions-selector").css("visibility","visible")},function(){e(this).find(".mejs-captions-selector").css("visibility","hidden")}).on("click","input[type=radio]",function(){lang=this.value,t.setTrack(lang)}),t.options.alwaysShowControls?t.container.find(".mejs-captions-position").addClass("mejs-captions-position-hover"):t.container.bind("controlsshown",function(){t.container.find(".mejs-captions-position").addClass("mejs-captions-position-hover")}).bind("controlshidden",function(){i.paused||t.container.find(".mejs-captions-position").removeClass("mejs-captions-position-hover")}),t.trackToLoad=-1,t.selectedTrack=null,t.isLoadingTrack=!1;for(o=0;o<t.tracks.length;o++)t.tracks[o].kind=="subtitles"&&t.addTrackButton(t.tracks[o].srclang,t.tracks[o].label);t.loadNextTrack(),i.addEventListener("timeupdate",function(e){t.displayCaptions()},!1),t.options.slidesSelector!=""&&(t.slidesContainer=e(t.options.slidesSelector),i.addEventListener("timeupdate",function(e){t.displaySlides()},!1)),i.addEventListener("loadedmetadata",function(e){t.displayChapters()},!1),t.container.hover(function(){t.hasChapters&&(t.chapters.css("visibility","visible"),t.chapters.fadeIn(200).height(t.chapters.find(".mejs-chapter").outerHeight()))},function(){t.hasChapters&&!i.paused&&t.chapters.fadeOut(200,function(){e(this).css("visibility","hidden"),e(this).css("display","block")})}),t.node.getAttribute("autoplay")!==null&&t.chapters.css("visibility","hidden")},setTrack:function(e){var t=this,n;if(e=="none")t.selectedTrack=null,t.captionsButton.removeClass("mejs-captions-enabled");else for(n=0;n<t.tracks.length;n++)if(t.tracks[n].srclang==e){t.selectedTrack==null&&t.captionsButton.addClass("mejs-captions-enabled"),t.selectedTrack=t.tracks[n],t.captions.attr("lang",t.selectedTrack.srclang),t.displayCaptions();break}},loadNextTrack:function(){var e=this;e.trackToLoad++,e.trackToLoad<e.tracks.length?(e.isLoadingTrack=!0,e.loadTrack(e.trackToLoad)):(e.isLoadingTrack=!1,e.checkForTracks())},loadTrack:function(t){var n=this,r=n.tracks[t],i=function(){r.isLoaded=!0,n.enableTrackButton(r.srclang,r.label),n.loadNextTrack()};e.ajax({url:r.src,dataType:"text",success:function(e){typeof e=="string"&&/<tt\s+xml/ig.exec(e)?r.entries=mejs.TrackFormatParser.dfxp.parse(e):r.entries=mejs.TrackFormatParser.webvvt.parse(e),i(),r.kind=="chapters"&&n.media.addEventListener("play",function(e){n.media.duration>0&&n.displayChapters(r)},!1),r.kind=="slides"&&n.setupSlides(r)},error:function(){n.loadNextTrack()}})},enableTrackButton:function(t,n){var r=this;n===""&&(n=mejs.language.codes[t]||t),r.captionsButton.find("input[value="+t+"]").prop("disabled",!1).siblings("label").html(n),r.options.startLanguage==t&&e("#"+r.id+"_captions_"+t).click(),r.adjustLanguageBox()},addTrackButton:function(t,n){var r=this;n===""&&(n=mejs.language.codes[t]||t),r.captionsButton.find("ul").append(e('<li><input type="radio" name="'+r.id+'_captions" id="'+r.id+"_captions_"+t+'" value="'+t+'" disabled="disabled" />'+'<label for="'+r.id+"_captions_"+t+'">'+n+" (loading)"+"</label>"+"</li>")),r.adjustLanguageBox(),r.container.find(".mejs-captions-translations option[value="+t+"]").remove()},adjustLanguageBox:function(){var e=this;e.captionsButton.find(".mejs-captions-selector").height(e.captionsButton.find(".mejs-captions-selector ul").outerHeight(!0)+e.captionsButton.find(".mejs-captions-translations").outerHeight(!0))},checkForTracks:function(){var e=this,t=!1;if(e.options.hideCaptionsButtonWhenEmpty){for(i=0;i<e.tracks.length;i++)if(e.tracks[i].kind=="subtitles"){t=!0;break}t||(e.captionsButton.hide(),e.setControlsSize())}},displayCaptions:function(){if(typeof this.tracks=="undefined")return;var e=this,t,n=e.selectedTrack;if(n!=null&&n.isLoaded){for(t=0;t<n.entries.times.length;t++)if(e.media.currentTime>=n.entries.times[t].start&&e.media.currentTime<=n.entries.times[t].stop){e.captionsText.html(n.entries.text[t]),e.captions.show().height(0);return}e.captions.hide()}else e.captions.hide()},setupSlides:function(e){var t=this;t.slides=e,t.slides.entries.imgs=[t.slides.entries.text.length],t.showSlide(0)},showSlide:function(t){if(typeof this.tracks=="undefined"||typeof this.slidesContainer=="undefined")return;var n=this,r=n.slides.entries.text[t],i=n.slides.entries.imgs[t];typeof i=="undefined"||typeof i.fadeIn=="undefined"?n.slides.entries.imgs[t]=i=e('<img src="'+r+'">').on("load",function(){i.appendTo(n.slidesContainer).hide().fadeIn().siblings(":visible").fadeOut()}):!i.is(":visible")&&!i.is(":animated")&&(console.log("showing existing slide"),i.fadeIn().siblings(":visible").fadeOut())},displaySlides:function(){if(typeof this.slides=="undefined")return;var e=this,t=e.slides,n;for(n=0;n<t.entries.times.length;n++)if(e.media.currentTime>=t.entries.times[n].start&&e.media.currentTime<=t.entries.times[n].stop){e.showSlide(n);return}},displayChapters:function(){var e=this,t;for(t=0;t<e.tracks.length;t++)if(e.tracks[t].kind=="chapters"&&e.tracks[t].isLoaded){e.drawChapters(e.tracks[t]),e.hasChapters=!0;break}},drawChapters:function(t){var n=this,r,i,s=0,o=0;n.chapters.empty();for(r=0;r<t.entries.times.length;r++){i=t.entries.times[r].stop-t.entries.times[r].start,s=Math.floor(i/n.media.duration*100);if(s+o>100||r==t.entries.times.length-1&&s+o<100)s=100-o;n.chapters.append(e('<div class="mejs-chapter" rel="'+t.entries.times[r].start+'" style="left: '+o.toString()+"%;width: "+s.toString()+'%;">'+'<div class="mejs-chapter-block'+(r==t.entries.times.length-1?" mejs-chapter-block-last":"")+'">'+'<span class="ch-title">'+t.entries.text[r]+"</span>"+'<span class="ch-time">'+mejs.Utility.secondsToTimeCode(t.entries.times[r].start)+"&ndash;"+mejs.Utility.secondsToTimeCode(t.entries.times[r].stop)+"</span>"+"</div>"+"</div>")),o+=s}n.chapters.find("div.mejs-chapter").click(function(){n.media.setCurrentTime(parseFloat(e(this).attr("rel"))),n.media.paused&&n.media.play()}),n.chapters.show()}}),mejs.language={codes:{af:"Afrikaans",sq:"Albanian",ar:"Arabic",be:"Belarusian",bg:"Bulgarian",ca:"Catalan",zh:"Chinese","zh-cn":"Chinese Simplified","zh-tw":"Chinese Traditional",hr:"Croatian",cs:"Czech",da:"Danish",nl:"Dutch",en:"English",et:"Estonian",tl:"Filipino",fi:"Finnish",fr:"French",gl:"Galician",de:"German",el:"Greek",ht:"Haitian Creole",iw:"Hebrew",hi:"Hindi",hu:"Hungarian",is:"Icelandic",id:"Indonesian",ga:"Irish",it:"Italian",ja:"Japanese",ko:"Korean",lv:"Latvian",lt:"Lithuanian",mk:"Macedonian",ms:"Malay",mt:"Maltese",no:"Norwegian",fa:"Persian",pl:"Polish",pt:"Portuguese",ro:"Romanian",ru:"Russian",sr:"Serbian",sk:"Slovak",sl:"Slovenian",es:"Spanish",sw:"Swahili",sv:"Swedish",tl:"Tagalog",th:"Thai",tr:"Turkish",uk:"Ukrainian",vi:"Vietnamese",cy:"Welsh",yi:"Yiddish"}},mejs.TrackFormatParser={webvvt:{pattern_identifier:/^([a-zA-z]+-)?[0-9]+$/,pattern_timecode:/^([0-9]{2}:[0-9]{2}:[0-9]{2}([,.][0-9]{1,3})?) --\> ([0-9]{2}:[0-9]{2}:[0-9]{2}([,.][0-9]{3})?)(.*)$/,parse:function(t){var n=0,r=mejs.TrackFormatParser.split2(t,/\r?\n/),i={text:[],times:[]},s,o;for(;n<r.length;n++)if(this.pattern_identifier.exec(r[n])){n++,s=this.pattern_timecode.exec(r[n]);if(s&&n<r.length){n++,o=r[n],n++;while(r[n]!==""&&n<r.length)o=o+"\n"+r[n],n++;o=e.trim(o).replace(/(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig,"<a href='$1' target='_blank'>$1</a>"),i.text.push(o),i.times.push({start:mejs.Utility.convertSMPTEtoSeconds(s[1])==0?.2:mejs.Utility.convertSMPTEtoSeconds(s[1]),stop:mejs.Utility.convertSMPTEtoSeconds(s[3]),settings:s[5]})}}return i}},dfxp:{parse:function(t){t=e(t).filter("tt");var n=0,r=t.children("div").eq(0),i=r.find("p"),s=t.find("#"+r.attr("style")),o,u,a,f,l={text:[],times:[]};if(s.length){var c=s.removeAttr("id").get(0).attributes;if(c.length){o={};for(n=0;n<c.length;n++)o[c[n].name.split(":")[1]]=c[n].value}}for(n=0;n<i.length;n++){var h,p={start:null,stop:null,style:null};i.eq(n).attr("begin")&&(p.start=mejs.Utility.convertSMPTEtoSeconds(i.eq(n).attr("begin"))),!p.start&&i.eq(n-1).attr("end")&&(p.start=mejs.Utility.convertSMPTEtoSeconds(i.eq(n-1).attr("end"))),i.eq(n).attr("end")&&(p.stop=mejs.Utility.convertSMPTEtoSeconds(i.eq(n).attr("end"))),!p.stop&&i.eq(n+1).attr("begin")&&(p.stop=mejs.Utility.convertSMPTEtoSeconds(i.eq(n+1).attr("begin")));if(o){h="";for(var d in o)h+=d+":"+o[d]+";"}h&&(p.style=h),p.start==0&&(p.start=.2),l.times.push(p),f=e.trim(i.eq(n).html()).replace(/(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig,"<a href='$1' target='_blank'>$1</a>"),l.text.push(f),l.times.start==0&&(l.times.start=2)}return l}},split2:function(e,t){return e.split(t)}},"x\n\ny".split(/\n/gi).length!=3&&(mejs.TrackFormatParser.split2=function(e,t){var n=[],r="",i;for(i=0;i<e.length;i++)r+=e.substring(i,i+1),t.test(r)&&(n.push(r.replace(t,"")),r="");return n.push(r),n})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{contextMenuItems:[{render:function(e){return typeof e.enterFullScreen=="undefined"?null:e.isFullScreen?"Turn off Fullscreen":"Go Fullscreen"},click:function(e){e.isFullScreen?e.exitFullScreen():e.enterFullScreen()}},{render:function(e){return e.media.muted?"Unmute":"Mute"},click:function(e){e.media.muted?e.setMuted(!1):e.setMuted(!0)}},{isSeparator:!0},{render:function(e){return"Download Video"},click:function(e){window.location.href=e.media.currentSrc}}]}),e.extend(MediaElementPlayer.prototype,{buildcontextmenu:function(
t,n,r,i){t.contextMenu=e('<div class="mejs-contextmenu"></div>').appendTo(e("body")).hide(),t.container.bind("contextmenu",function(e){if(t.isContextMenuEnabled)return e.preventDefault(),t.renderContextMenu(e.clientX-1,e.clientY-1),!1}),t.container.bind("click",function(){t.contextMenu.hide()}),t.contextMenu.bind("mouseleave",function(){t.startContextMenuTimer()})},cleancontextmenu:function(e){e.contextMenu.remove()},isContextMenuEnabled:!0,enableContextMenu:function(){this.isContextMenuEnabled=!0},disableContextMenu:function(){this.isContextMenuEnabled=!1},contextMenuTimeout:null,startContextMenuTimer:function(){var e=this;e.killContextMenuTimer(),e.contextMenuTimer=setTimeout(function(){e.hideContextMenu(),e.killContextMenuTimer()},750)},killContextMenuTimer:function(){var e=this.contextMenuTimer;e!=null&&(clearTimeout(e),delete e,e=null)},hideContextMenu:function(){this.contextMenu.hide()},renderContextMenu:function(t,n){var r=this,i="",s=r.options.contextMenuItems;for(var o=0,u=s.length;o<u;o++)if(s[o].isSeparator)i+='<div class="mejs-contextmenu-separator"></div>';else{var a=s[o].render(r);a!=null&&(i+='<div class="mejs-contextmenu-item" data-itemindex="'+o+'" id="element-'+Math.random()*1e6+'">'+a+"</div>")}r.contextMenu.empty().append(e(i)).css({top:n,left:t}).show(),r.contextMenu.find(".mejs-contextmenu-item").each(function(){var t=e(this),n=parseInt(t.data("itemindex"),10),i=r.options.contextMenuItems[n];typeof i.show!="undefined"&&i.show(t,r),t.click(function(){typeof i.click!="undefined"&&i.click(r),r.contextMenu.hide()})}),setTimeout(function(){r.killControlsTimer("rev3")},100)}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{postrollCloseText:mejs.i18n.t("Close")}),e.extend(MediaElementPlayer.prototype,{buildpostroll:function(t,n,r,i){var s=this,o=s.container.find('link[rel="postroll"]').attr("href");typeof o!="undefined"&&(t.postroll=e('<div class="mejs-postroll-layer mejs-layer"><a class="mejs-postroll-close" onclick="$(this).parent().hide();return false;">'+s.options.postrollCloseText+'</a><div class="mejs-postroll-layer-content"></div></div>').prependTo(r).hide(),s.media.addEventListener("ended",function(n){e.ajax({dataType:"html",url:o,success:function(e,t){r.find(".mejs-postroll-layer-content").html(e)}}),t.postroll.show()},!1))}})}(mejs.$);